/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

export const APPLICATION_LOGO_PLACEHOLDER = "APPLICATION NAME";
export const ACCEPTED_COOKIES_NAME = "acceptedCookies";
export const DEFAULT_FALLBACK_LANGUAGE = "en";

//The following constants are colors
export const BLUE0 = "#001a54";
export const BLUE1 = "#041e96";
export const BLUE2 = "#1446eb";
export const BLUE3 = "#0091ff";
export const BLUE4 = "#52c9ff";
export const BLUE5 = "#CBE8ff";
export const MAGENTA1 = "#5500b4";
export const MAGENTA2 = "#a200e6";
export const MAGENTA3 = "#dc46f3";
export const MAGENTA4 = "#ff73fa";
export const MAGENTA5 = "#ffafff";
export const MAGENTA6 = "#fddeff";
export const WHITE = "#ffffff";
export const GREY1 = "#f2f4f4";
export const GREY2 = "#c8c6c6";
export const GREY3 = "#969494";
export const GREY4 = "#696969";
export const GREY5 = "#333333";
export const GREY6 = "#1A1A1A";
export const BLACK = "#000000";
export const GREY_MENU_SPECIAL_1 = "#D6D9DE";
export const YELLOW = "#ffd800";
export const RED = "#f80000";
export const GREEN = "#80d800";

//The following constants are constants regarding the layout
export const PADDING_GAB = 16;
export const DEFAULT_ELEMENTSIZE = 40;
export const DEFAULT_WIDTH_CONTENTSECTIONELEMENT = 300;
export const NAVBAR_WIDTH_UNFOLDED = 240;
export const GAB_NAVBAR_COLLAPSED = 2;
export const GAB_NAVBAR_UNFOLDED = 4;